| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DataHistory::DataHistoryOrder Class Referencefinal

`#include <GaudiKernel/DataHistory.h>`

## Public Member Functions
bool | operator() (const DataHistory *lhs, const DataHistory *rhs) const
bool | operator() (const DataHistory &lhs, const DataHistory &rhs) const

## Detailed Description

Definition at line 27 of file DataHistory.h.

## Member Function Documentation

bool DataHistory::DataHistoryOrder::operator() | ( | const DataHistory * | lhs,
|  | const DataHistory * | rhs
| ) |  | const
| inline

Definition at line 29 of file DataHistory.h.

29 {
30 if (lhs->m_dataClassID == rhs->m_dataClassID) {
31 if (lhs->m_dataKey == rhs->m_dataKey) {
32 return ( lhs->m_algHist < rhs->m_algHist );
33 } else {
34 return ( lhs->m_dataKey < rhs->m_dataKey );
35 }
36 } else {
37 return (lhs->m_dataClassID < rhs->m_dataClassID);
38 }
39
40 }
DataHistory::m_algHist
AlgorithmHistory * m_algHist
Definition: DataHistory.h:73
DataHistory::m_dataClassID
CLID m_dataClassID
Definition: DataHistory.h:71
DataHistory::m_dataKey
std::string m_dataKey
Definition: DataHistory.h:72

bool DataHistory::DataHistoryOrder::operator() | ( | const DataHistory & | lhs,
|  | const DataHistory & | rhs
| ) |  | const
| inline

Definition at line 41 of file DataHistory.h.

41 {
42 if (lhs.m_dataClassID == rhs.m_dataClassID) {
43 if (lhs.m_dataKey == rhs.m_dataKey) {
44 return ( lhs.m_algHist < rhs.m_algHist );
45 } else {
46 return ( lhs.m_dataKey < rhs.m_dataKey );
47 }
48 } else {
49 return (lhs.m_dataClassID < rhs.m_dataClassID);
50 }
51 }
DataHistory::m_algHist
AlgorithmHistory * m_algHist
Definition: DataHistory.h:73
DataHistory::m_dataClassID
CLID m_dataClassID
Definition: DataHistory.h:71
DataHistory::m_dataKey
std::string m_dataKey
Definition: DataHistory.h:72

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/DataHistory.h